Bug 951069 - Size of mountpoint is changed unexpectedly on machine with two disks
Size of mountpoint is changed unexpectedly on machine with two disks
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-04-11 08:08 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:51:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ľuboš Kardoš 2013-04-11 08:08:46 EDT
Description of problem:
When you change "Device Type" of mountpoint from "LVM" to "Standard Partition" on machine with two disks, "Desired Capacity" of mountpoint is decreased by one half.

Version-Release number of selected component (if applicable):
Fedora 19 Aplha RC2
anaconda 19.17-1

How reproducible:
always

Steps to Reproduce:
1. Start installation on machine with to disks. 
2. Proceed to the "MANUAL PARTITIONING" spoke.
3. Create /boot 200mb.
4. Create swap 1gb.
5. Create / and don't fill "Desired Capacity".
6. Change "Device type" of swap from "LVM" to "Standard Partition".
7. Click on "Update Settings".
  
Actual results:
"Desired Capacity" of swap is changed from 1GB to 498MB.

Expected results:
"Desired Capacity" shouldn't be changed.

Additional info:
Comment 1 Chris Lumens 2013-04-11 09:49:54 EDT
There's plenty of reasons why this could happen, but you've not given nearly enough information here for a good explanation.  How big were your disks to begin with?  What choices did you make and how much space did you leave free for installation?
Comment 2 David Lehman 2013-04-11 10:15:21 EDT
I have seen this myself. To change this behavior may end up being quite complicated, but I have an idea of how to do it in a relatively simple way.
Comment 3 David Lehman 2013-04-11 10:19:54 EDT
To be clear, it is possible that this will not be fixed for f19. It is not a terrible problem and the complexity of the solution very well may preclude fixing it in the near future.
Comment 4 Fedora End Of Life 2015-01-09 17:05:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 08:51:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.